<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.  The actual display of comments is
 * handled by a callback to mikegen_comment which is
 * located in the functions.php file.
 *
 * @package WordPress
 * @subpackage MikeGen
 * @since MikeGen 1.0
 */
?>

<div id="comments">

	<?php if ( post_password_required( ) ) : ?>
	
		<p class="nopassword"><?php echo __( 'This post is password protected. Enter the password to view any comments.', 'mikegen' ); ?></p>
		
	<?php else: ?>
	
		<?php if ( have_comments( ) ) : ?>
		
			<h3 id="comments-title">
				<?php echo _n( 'One Response to <em>' . get_the_title( ) . '</em>', number_format_i18n( get_comments_number( )) . ' Responses to <em>' . get_the_title( ) . '</em>', get_comments_number( ) );?>
			</h3>
			<?php if ( get_comment_pages_count( ) > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<div class="navigation">
					<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'mikegen' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'mikegen' ) ); ?></div>
				</div> <!-- .navigation -->
			<?php endif; // check for comment navigation ?>
			<ol class="commentlist">
				<?php
					/* Loop through and list the comments. Tell wp_list_comments( )
					 * to use mikegen_comment( ) to format the comments.
					 * If you want to overload this in a child theme then you can
					 * define mikegen_comment( ) and that will be used instead.
					 * See mikegen_comment( ) in mikegen/functions.php for more.
					 */
					wp_list_comments( array( 'callback' => 'mikegen_comment' ) );
				?>
			</ol>
			<?php if ( get_comment_pages_count( ) > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<div class="navigation">
					<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'mikegen' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'mikegen' ) ); ?></div>
				</div><!-- .navigation -->
			<?php endif; // check for comment navigation ?>

		<?php else : // or, if we don't have comments:

			/* If there are no comments and comments are closed,
			 * let's leave a little note, shall we?
			 */
			if ( ! comments_open( ) ) : ?>
				<p class="nocomments"><?php echo __( 'Comments are closed.', 'mikegen' ); ?></p>
			<?php endif; // end ! comments_open( ) ?>

		<?php endif; // end have_comments( ) ?>

		<?php comment_form( ); ?>
	
	<?php endif; ?>

</div><!-- #comments -->
