<?php
/**
 * The Header for our theme.
 * @package WordPress
 * @subpackage MikeGen
 */
?><!DOCTYPE html>
<html <?php language_attributes( ); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php wp_title( '&#8212;', true, 'right' ); bloginfo( 'name' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<script type="text/javascript" language="javascript" src="<?php bloginfo( 'template_directory' ); ?>/js/jquery-1.4.4.min.js"></script>
<script type="text/javascript" language="javascript" src="<?php bloginfo( 'template_directory' ); ?>/js/jquery-ui-1.8.9.custom.min.js"></script>
<script type="text/javascript" language="javascript" src="<?php bloginfo( 'template_directory' ); ?>/js/jquery.form.js"></script>
<script type="text/javascript" language="javascript" src="<?php bloginfo( 'template_directory' ); ?>/js/common.js"></script>
<?php

// get the theme options
$options = array( );
$options = get_option('mikegen_theme_options', false);
?>

<?php
/* We add some JavaScript to pages with the comment form
 * to support sites with threaded comments (when in use).
 */
if ( is_singular( ) && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );

/* Always have wp_head( ) just before the closing </head>
 * tag of your theme, or you will break many plugins, which
 * generally use this hook to add elements to <head> such
 * as styles, scripts, and meta tags.
 */
wp_head( );
?>
</head>
<body <?php body_class( ); ?>>
<div id="wrapper">

	<div id="header">
	
		<div id="masthead">
			<div id="headerWrap">
				<a id="logo" href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
					<?php if ( strlen ( $options['mikegen_logo'] ) > 0 ): ?>
						<img src="<?php echo $options['mikegen_logo']; ?>" alt="<?php echo get_bloginfo('name') . __(' Logo'); ?>" />
					<?php else: ?>
						<h1 id="site-title"><?php bloginfo( 'name' ); ?></h1>
						<div id="site-description"><?php bloginfo( 'description' ); ?></div>
					<?php endif; ?>
				</a><!-- #logo -->
				<?php if ($options['mikegen_topsearch'] == '1'): ?>
					<div id="top-search">
						<?php get_search_form( ); ?>
					</div><!-- #top-search -->
				<?php endif; ?>
			</div>
		</div><!-- #masthead -->
		<div id="bar">
			<div id="top-navigation">
				<?php wp_nav_menu( array( 'theme_location' => 'top-navigation', 'container' => false ) ); ?>
			</div><!-- #top-navigation -->
		</div><!-- #bar -->
		
	</div><!-- #header -->
	<div id="container" class="contain-1024">
