<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package WordPress
 * @subpackage MikeGen
 * @since MikeGen 1.0
 */

get_header(); ?>

<div id="content" role="main">

	<?php if ( have_posts() ) : ?>
	
		<h1 class="page-title"><?php echo __( 'Search Results for: <span>' . get_search_query() . '</span>', 'mikegen' ); ?></h1>
		<?php
		/* Run the loop for the search to output the results.
		 * If you want to overload this in a child theme then include a file
		 * called loop-search.php and that will be used instead.
		 */
		get_template_part( 'loop', 'search' );
		?>

	<?php else : ?>
	
		<div id="post-0" class="post no-results not-found">
			<h2 class="entry-title"><?php echo __( 'Nothing Found', 'mikegen' ); ?></h2>
			<div class="entry-content">
				<p><?php echo __( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'mikegen' ); ?></p>
				<div id="main-search">
					<?php get_search_form(); ?>
				</div><!-- #main-search -->
			</div><!-- .entry-content -->
		</div><!-- #post-0 -->
		
	<?php endif; ?>
	
</div><!-- #content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
