<?php
/**
 * The Sidebar containing the primary and secondary widget areas.
 *
 * @package WordPress
 * @subpackage MikeGen
 * @since MikeGen 1.0
 */
?>

<div id="sidebar" role="complementary">

	<ul>
		<?php
		/* When we call the dynamic_sidebar( ) function, it'll spit out
		 * the widgets for that widget area. If it instead returns false,
		 * then the sidebar simply doesn't exist, so we'll hard-code in
		 * some default sidebar stuff just in case.
		 */
		if ( ! dynamic_sidebar( 'sidebar' ) ) : ?>
		
			<?php 
			$args = array(
				'exclude' => '1',
				'title_li' => '<h3 class="widget-title">' . __('Categories') . '</h3>',
				'hierarchical' => 0
			);
			wp_list_categories($args);
			?>
			<li>
				<h3><?php echo __('Recent Posts'); ?></h3>
				<ul>
					<?php
					$args = array( 
						'numberposts' => '10',
						'post_status' => 'publish'
					);
					$recent_posts = wp_get_recent_posts( $args );
					foreach( $recent_posts as $post ):
						echo '<li><a href="' . get_permalink($post['ID']) . '" title="' . __( $post['post_title'] ) . '">' . __( $post['post_title'] ) . '</a></li>';
					endforeach;
					?>
				</ul>
			</li>
			<li>
				<h3 class="widget-title"><?php echo __( 'Archives', 'mikegen' ); ?></h3>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>
			</li>
			
		<?php endif; ?>
		
	</ul>
	
</div><!-- #sidebar .widget-area -->